Question what are sig patches and how do i get them for my botw xci?

innuendu Apr 22, 2019.

  1. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Yeah, that will work. It's direct installs that don't work. Direct installs are far more convenient and easy to do for novices. No need to dump keys with Lockpick and wait for 4NXCI to do the thing. Saves a good amount of time. With Kosmos, you cannot serve up an XCI with Nut (or copy to SD) and install the XCI using Tinfoil/Lithium.

    Kosmos has absolutely minimal FS patches. Cool stuff, like standard crypto (aka run MK7 games on MKX firmware) conversions (done on the fly in Tinfoil or not) is a no-go. Direct XCI installing does not work.
     
    Last edited by blahblah, Apr 22, 2019
  2. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
     
  3. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Walk me through exactly what you have done and show me the error you are getting. Which firmware are you on, where do you get the error, tell me everything. Have you deleted your ticket? Does the installer install the game without giving you an error?

    If you setup Atmosphere correctly (with sig patches) you have all you need to install XCIs. That it isn't working wouldn't be the fault of the tools themselves, so this should be easier to support now. Do other games that you have installed illegitimately launch?
     
    Last edited by blahblah, Apr 22, 2019
  4. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    i have installed other nsps like super mario party and lets go pikachu that work perfectly fine. my firmware version is 8.0.0. when i install the game it doesnt give me an error
     
  5. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    So, the game installs successfully and does not launch from the home screen. And you downloaded your copy of Atmosphere 0.88 recently, correct? I ask because the initial version of it did have a bug where certain older games would not run, they would crash on launch.

    Is your XCI a 'custom XCI' with a pre-packaged update/dlc? Those do not work on anything other than SX OS. What's the file size of your XCI? Is it a scene release?
     
  6. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    i have recently downloaded atmosphere 0.88 and it has dlc its 15.6 GB
     
  7. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    If the XCI has DLC included, that will not work on anything other than SX OS. Could you go to the home screen of the Switch, select the Plus (start) button on the game and tell me the version number?
     
  8. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    ver 1.5.0
     
  9. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Thanks.

    That XCI is what we call a 'custom XCI'. It's an XCI that has been modified to include the base game and additional content, either DLC or an update, often both. The reason I know that for certain is that the version number is 1.5.0, which is not what the 'base' (unpatched) game version number is.

    That XCI will not work on anything other than SX OS. Delete it, grab the game from another source, install it. Install the latest update and DLC if you want it.
     
    Last edited by blahblah, Apr 22, 2019
    CassioAug likes this.
  10. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    i cant really find a source that has just the game and not dlc too
     
  11. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    I can't really help you with that, as that would be illegal and against forum rules. But what I can tell you is that your issue is, without question, one of using a custom XCI with non-SX OS custom firmware.
     
  12. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    i fo
    i found a raw nsp file with only the game
     
  13. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Excellent. Install that, and then install the update and the DLC if you want it.

    If you find the base XCI for a game in a future, that XCI will install just fine. It's only custom XCIs - which usually are clearly labeled as being custom XCIs - that will cause you problems.
     
    Last edited by blahblah, Apr 22, 2019
  14. innuendu
    OP

    innuendu GBAtemp Regular

    Member
    2
    Apr 10, 2019
    United States
    only reason i would get dlc for botw is for the master cycle zero
     
  15. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    Getting DLC and updates would not be a problem, so long as the DLC and Update is a separate NSP, not modified into the XCI.
     
  16. JBMario

    JBMario Advanced Member

    Newcomer
    4
    Jan 17, 2019
    France
    Not sure we can call it a "true" custom XCI in that case. Nintendo released three revisions of the cartridge: v000 with the 1.0 of the game, v001 with the 1.3.1 update and v002 with the 1.5.0 update.
     
  17. blahblah

    blahblah GBAtemp Maniac

    Member
    8
    May 16, 2018
    United States
    An actual cartridge dump with a bundled update would install fine. I forgot about the revision cartridges for BOTW, my mistake.

    Custom XCIs, ones with bundled DLC and Updates (as opposed to a real cartridge dump that comes with an update and correct Nintendo signatures) will not work on anything other than SX OS. But. Carts that have built-in updates install without issue on Atmosphere/Fusse-Primary.

    The copy the OP grabbed, according to the OP, came with DLC, so I figure it's not the rev002 dump. It would have worked if it was. Just to be a billion percent sure, I just sent over the revision cart of 'ARMS', and it installed successfully, with the update. Launches, works. Nut/Tinfoil.
     
    Last edited by blahblah, Apr 22, 2019
  18. spank2610

    spank2610 Member

    Newcomer
    1
    Jun 24, 2019
    United States
    Clearing my SD card and using the latest Atmosphere and reinstalling game fixed it for me
     
  19. marceloreborn

    marceloreborn Newbie

    Newcomer
    1
    May 6, 2017
    Brazil
    Sorry about this stupid question, but what differences in booting with fusee-primary.bin, instead of Hekate?
     
  20. Hayato213

    Hayato213 GBAtemp Guru

    Member
    12
    Dec 26, 2015
    United States
    Just two different bootloader, fusee primary is for Atmosphere, while Hekate is a multi-function bootloader.
     
Quick Reply
Draft saved Draft deleted
Loading...